<?php
/************************************************************************************
 * 
 * Loop Header
 * 
 ************************************************************************************/

remove_action( 'woocommerce_before_shop_loop', 'woocommerce_result_count', 20 );
remove_action( 'woocommerce_before_shop_loop', 'woocommerce_catalog_ordering', 30 );
add_action( 'woocommerce_archive_description', 'ciyashop_custom_loop_header', 20 );

add_action( 'ciyashop_loop_header', 'ciyashop_loop_active_filters', 10 );
add_action( 'ciyashop_loop_header', 'ciyashop_loop_filters', 20 );add_action( 'ciyashop_loop_header', 'ciyashop_loop_tools', 30 );
add_action( 'ciyashop_before_loop_header', 'ciyashop_loop_tools_order', 10 );

function ciyashop_loop_tools_order(){
	global $ciyashop_options;
	if( isset($ciyashop_options['product_filter_type']) && $ciyashop_options['product_filter_type'] == 'default' )
		return;
	
	remove_action( 'ciyashop_loop_header', 'ciyashop_loop_filters', 20 );
	remove_action( 'ciyashop_loop_header', 'ciyashop_loop_tools', 30 );
	add_action( 'ciyashop_loop_header', 'ciyashop_loop_filters', 30 );
	add_action( 'ciyashop_loop_header', 'ciyashop_loop_tools', 20 );
}

function ciyashop_custom_loop_header(){
	wc_get_template( 'loop/loop-header.php' );
}

function ciyashop_loop_active_filters(){
	global $ciyashop_options;
	if( isset($ciyashop_options['show_product_filter']) && $ciyashop_options['show_product_filter'] == 'no')
		return;
	
	wc_get_template( 'loop/loop-header-active-filters.php' );
}

add_action( 'ciyashop_loop_header', 'ciyashop_loop_filters', 20 );
function ciyashop_loop_filters(){
	global $ciyashop_options;
	if( isset($ciyashop_options['show_product_filter']) && $ciyashop_options['show_product_filter'] == 'no')
		return;
	
	wc_get_template( 'loop/loop-header-filters.php' );
}

function ciyashop_loop_tools(){
	wc_get_template( 'loop/loop-header-tools.php' );
}


/************************************************************************************
 * 
 * Active Filtes
 * 
 ************************************************************************************/
add_action( 'ciyashop_loop_active_filters', 'ciyashop_loop_active_filters_content' );
function ciyashop_loop_active_filters_content(){
	the_widget( 'PGS_Widget_Layered_Nav_Filters' );
}


/************************************************************************************
 * 
 * Filtes
 * 
 ************************************************************************************/
add_action( 'ciyashop_loop_filters', 'ciyashop_loop_filters_content' );
function ciyashop_loop_filters_content(){
	global $ciyashop_options;
	
	$shop_filter_title = ( isset($ciyashop_options['product_filter_title']) && ! empty($ciyashop_options['product_filter_title']) ) ? $ciyashop_options['product_filter_title'] : '';
	
	if( isset( $ciyashop_options['product_filter_type'] ) && $ciyashop_options['product_filter_type'] == 'widget' ){
		?>
		<div class="pgs_widgets_shop-filters">
			<div class="row">
				<?php dynamic_sidebar('sidebar-product-shop-filters'); ?>
			</div>
		</div>
		<?php
	}else{
		
		$shop_filters_widget_params = array(
			'title' => $shop_filter_title,
			'show_in' => 'shop_pg_content',
			'filter-attributes' => ( isset($ciyashop_options['product_filters']) && ! empty($ciyashop_options['product_filters']) ) ? $ciyashop_options['product_filters'] : array(),
		);
		
		the_widget( 'PGS_Shop_Filters_Widget', $shop_filters_widget_params );
	}
}	

/************************************************************************************
 * 
 * Tools
 * 
 ************************************************************************************/
add_action( 'ciyashop_loop_tools', 'ciyashop_loop_tools_content', 5 );
add_action( 'ciyashop_loop_tools', 'woocommerce_show_filters', 15 );
add_action( 'ciyashop_loop_tools', 'ciyashop_show_shop_sidebar', 16 );
add_action( 'ciyashop_loop_tools', 'woocommerce_result_count', 20 );
add_action( 'ciyashop_loop_tools', 'ciyashop_gridlist', 30 );
add_action( 'ciyashop_loop_tools', 'woocommerce_catalog_ordering', 40 );

function ciyashop_show_shop_sidebar(){
	global $ciyashop_options;
	if( function_exists('is_shop') && is_shop() ){
		if( ( isset($ciyashop_options['off_canvas_shop_sidebar']) && $ciyashop_options['off_canvas_shop_sidebar']) && ( isset($ciyashop_options['shop_sidebar']) && $ciyashop_options['shop_sidebar'] != 'no' ) ){
			?>
			<div class="ciyashop-show-shop-sidebar">
				<a class="ciyashop-show-shop-btn"href="#"><i class="fa fa-bars" aria-hidden="true"></i><?php esc_html_e('Show sidebar', 'ciyashop')?></a>
			</div>
			<?php
		}
	}
}

function ciyashop_loop_tools_content(){
	/**
	 * Hook: ciyashop_loop_tools_content.
	 * 
	 * @visible true
	 */
	do_action( 'ciyashop_loop_tools_content' );
}

function woocommerce_show_filters(){
	global $ciyashop_options;
	if( isset($ciyashop_options['show_product_filter']) && $ciyashop_options['show_product_filter'] == 'no')
		return;
	
	if( !isset($ciyashop_options['show_product_filter_area_open']) || (isset($ciyashop_options['show_product_filter_area_open']) && $ciyashop_options['show_product_filter_area_open'] == 'yes') )
		return;
	?>
	<div class="pgs-shop-filter-buttons">
		<label href="#" class="pgs-open-shop-filters"><?php esc_html_e('Filters :', 'ciyashop');?></label>
		<label class="switch ">
			<input type="checkbox" class="default shop_filter_hide_show-btn" <?php echo ( isset($_COOKIE['shop_filter_hide_show']) && $_COOKIE['shop_filter_hide_show'] == 'shown' ) ? 'checked' : ''; ?>>
			<span class="slider"></span>
		</label>
	</div>
	<?php
}
	 
function ciyashop_gridlist(){
	
	/**
	 * Hook: ciyashop_gridlist_content.
	 *
	 * @hooked ciyashop_gridlist_toggle_button - 10
	 * @hooked woocommerce_result_count        - 20
	 * @hooked woocommerce_catalog_ordering    - 30
	 * @hooked ciyashop_gridlist               - 40
	 * @hooked woocommerce_show_filters        - 50
	 * 
	 * @visible true
	 */
	do_action( 'ciyashop_gridlist_content' );
	
}

add_action( 'ciyashop_gridlist_content', 'ciyashop_gridlist_toggle_button', 10 );
function ciyashop_gridlist_toggle_button() {
	global $ciyashop_options;
	
	$pro_col_sel = ( isset($ciyashop_options['pro-col-sel']) && !empty($ciyashop_options['pro-col-sel'] ) ) ? $ciyashop_options['pro-col-sel'] : '4';
	
	$grid_view = esc_html__( 'Grid view', 'ciyashop' );;
	$list_view = esc_html__( 'List view', 'ciyashop' );
	
	if( isset($_COOKIE['gridlist_view']) ){
		$gridlist_view = sanitize_text_field( wp_unslash( $_COOKIE['gridlist_view'] ) );
	}else{
		$gridlist_view = 'products-loop-column-'.$pro_col_sel;
	}
	
	ob_start(); 
	?>
	<div class="gridlist-toggle-wrap">
		<div class="gridlist-label-wrap">
			<span class="gridlist-toggle-label"><?php echo esc_html__('View :', 'ciyashop' );?></span>
		</div>
		<div class="gridlist-button-wrap">
			<div class="gridlist-toggle">
				<a href="#"  title="<?php echo esc_attr($grid_view);?>" class="gridlist-button grid-2-column<?php echo esc_attr( ( $gridlist_view == 'products-loop-column-2' ) ? ' active' : '' );?>" data-grid='<?php echo esc_attr(json_encode(array('column' => 2 ))); ?>'>
					<em><?php echo esc_html($grid_view);?></em>
				</a>
				<a href="#"  title="<?php echo esc_attr($grid_view);?>" class="gridlist-button grid-3-column<?php echo esc_attr( ( $gridlist_view == 'products-loop-column-3' ) ? ' active' : '' );?>" data-grid='<?php echo esc_attr(json_encode(array('column' => 3 ))); ?>'>
					<em><?php echo esc_html($grid_view);?></em>
				</a>
				<a href="#" title="<?php echo esc_attr($grid_view);?>" class="gridlist-button grid-4-column<?php echo esc_attr( ( $gridlist_view == 'products-loop-column-4' ) ? ' active' : '' );?>" data-grid="<?php echo esc_attr(json_encode(array('column' => 4 ))); ?>">
					<em><?php echo esc_html($grid_view);?></em>
				</a>
				<?php if( $pro_col_sel == 5 ){
					?>
					<a href="#" title="<?php echo esc_attr($grid_view);?>" class="gridlist-button grid-5-column<?php echo esc_attr( ( $gridlist_view == 'products-loop-column-5' ) ? ' active' : '' );?>" data-grid="<?php echo esc_attr(json_encode(array('column' => 5 )));?>">
						<em><?php echo esc_html($grid_view);?></em>
					</a>
					<?php
				}?>
				<a href="#" title="<?php echo esc_attr($list_view);?>" class="gridlist-button gridlist-toggle-list<?php echo esc_attr( ( $gridlist_view == 'list' ) ? ' active' : '' );?>">
					<em><?php echo esc_html($list_view);?></em>
				</a>
			</div>
		</div>
	</div>
	<?php
	$output = ob_get_clean();
	$allowd_html = ciyashop_allowed_html(array('div','span','a','i','em'));
	$allowd_html['a']['data-grid'] = true;
	
	/**
	 * Filters output of Grid List toggle button.
	 *
	 * @param string    $button      Grid List toggle button output.
	 * 
	 * @visible true
	 */
	$output = apply_filters( 'ciyashop_gridlist_toggle_button_output', $output, $grid_view, $list_view );
	echo wp_kses( $output, $allowd_html); // variable/values escaped already
}

add_action( 'init', 'ciyashop_product_search_redirection' );
function ciyashop_product_search_redirection(){
	if( isset($_GET['filtering']) && $_GET['filtering'] == 1 ) {
		
		$current_url = add_query_arg( array() );
		
		$current_url_prased = wp_parse_url( $current_url );
		$current_url_path = ( isset($current_url_prased['path']) ) ? $current_url_prased['path'] : '';
		$current_url_query = ( isset($current_url_prased['query']) ) ? $current_url_prased['query'] : '';
		
		$url_query_array_new = array();
		if( $current_url_query != '' ){
			$current_query_args = explode('&', $current_url_query);
			foreach( $current_query_args as $current_query_arg ){
				if( strstr($current_query_arg,'=') !== false ){
					$current_query_arg_parts = explode('=', $current_query_arg);
					$url_query_array_new[$current_query_arg_parts[0]] = $current_query_arg_parts[1];
				}
			}
			$new_query_str = build_query( $url_query_array_new );
			unset($url_query_array_new['filtering']);
		}
		$new_url = add_query_arg( ( ($new_query_str != 'filtering=1') ? $url_query_array_new : array() ), $current_url_path );
		
		wp_safe_redirect($new_url);
		exit;
	}
}